Poco::Data::ODBC Cannot use espefic SQL native driver

Please post support and help requests here.
eduquint
Posts: 49
Joined: 12 Sep 2014, 03:07

Poco::Data::ODBC Cannot use espefic SQL native driver

Postby eduquint » 17 Oct 2017, 00:02

Hi, I use Windows 10, Visual Studio 2017 15.3.5, Poco 1.7.9.

When I access my SQL 2016 database, I have to use the generic client driver 'SQL Server'. I employ the #define POCO_ODBC_USE_SQL_NATIVE statement in my header file, but if I try to use the specific version driver 'SQL Server Native Client 11.0', the program does not run.

I would like to know if this really is the case. Or, some sample showing how to use a version specific SQL Server driver.

Thanks,

Eduardo Quintana

eduquint
Posts: 49
Joined: 12 Sep 2014, 03:07

Re: Poco::Data::ODBC Cannot use espefic SQL native driver

Postby eduquint » 17 Oct 2017, 14:32

I found the problem. There was an error in my code.

Any SQL Server driver version will work just fine, as required by the accessed SQL Server version.

Eduardo Quintana


Return to “Support”

Who is online

Users browsing this forum: No registered users and 2 guests

cron